Change `image` view to properly expose the new `img_description_id` field
Closed, ResolvedPublic

Description

There will be two rounds of changes needed. Since we stopped writing image_comment_temp instead of doing a WRITE_BOTH mode, we went ahead and did the migration despite "round 1" not having been done. We can now move immediately to "round 2":

  • On the comment table, replace the EXISTS clause referring to image_comment_temp with one referring to image
  • On the image view:
    • The img_description_id field is just img_description_id, nothing fancy.
    • Remove the join against image_comment_temp
  • On the image_compat view:
    • The img_description_id field is just img_description_id, nothing fancy.
    • For the img_description field, the test becomes just img_description_id = 0
    • Remove the join against image_comment_temp
    • The comment join condition becomes on comment_id = img_description_id
  • Remove the line in index-conf.sql about the added index on image_comment_temp. Add one for image.
Anomie created this task.Mar 7 2018, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 9:19 PM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Mar 10 2018, 11:40 PM
Anomie updated the task description. (Show Details)Oct 16 2018, 2:09 PM

This is unblocked now, and should be done soon.

Anomie updated the task description. (Show Details)Oct 16 2018, 2:13 PM
Bstorm added a subscriber: Bstorm.Oct 16 2018, 2:33 PM
Anomie updated the task description. (Show Details)Nov 1 2018, 4:13 PM
Anomie updated the task description. (Show Details)Nov 1 2018, 4:18 PM
Anomie updated the task description. (Show Details)Nov 1 2018, 4:21 PM

Change 471040 had a related patch set uploaded (by Anomie; owner: Anomie):
[operations/puppet@production] wiki replicas: Remove reference to image_comment_temp

https://gerrit.wikimedia.org/r/471040

Change 471040 merged by Bstorm:
[operations/puppet@production] wiki replicas: Remove reference to image_comment_temp

https://gerrit.wikimedia.org/r/471040

So would the replicated stuff on the replica servers be ready for me to run the scripts? Just double-checking before I go on with depooling and regenerating the views.

Bstorm claimed this task.Nov 1 2018, 10:59 PM
Bstorm moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Anomie added a comment.Nov 2 2018, 3:22 PM

It should be ready, yes. The image_comment_temp table is already emptied in production on all wikis, with all the rows having had the data migrated into img_description_id. Maintenance is in progress to backfill img_description_id from img_description.

Change 471295 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wiki replicas: depool lasbdb1010 for view changes

https://gerrit.wikimedia.org/r/471295

Change 471295 merged by Banyek:
[operations/puppet@production] wiki replicas: depool lasbdb1010 for view changes

https://gerrit.wikimedia.org/r/471295

Mentioned in SAL (#wikimedia-operations) [2018-11-07T20:55:04Z] <banyek> depool labsdb1010 (T189158)

Change 472492 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] wiki replicas: depool labsdb1009 for updates

https://gerrit.wikimedia.org/r/472492

Mentioned in SAL (#wikimedia-operations) [2018-11-08T17:24:08Z] <banyek> repooling labsdb1010 (T189158)

Mentioned in SAL (#wikimedia-operations) [2018-11-08T17:29:07Z] <banyek> depooling labsdb1009 (T189158)

Change 472492 merged by Banyek:
[operations/puppet@production] wiki replicas: depool labsdb1009 for updates

https://gerrit.wikimedia.org/r/472492

Change 472530 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] Revert "wiki replicas: depool labsdb1009 for updates"

https://gerrit.wikimedia.org/r/472530

Mentioned in SAL (#wikimedia-operations) [2018-11-09T09:08:01Z] <banyek@deploy1001> Synchronized wmf-config/db-eqiad.php: T189158: depool db1106 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-11-09T12:40:49Z] <banyek@deploy1001> Synchronized wmf-config/db-eqiad.php: T189158: repool db1106 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-11-09T15:08:58Z] <banyek> repooling labsdb1009 (T189158)

Change 472530 merged by Banyek:
[operations/puppet@production] Revert "wiki replicas: depool labsdb1009 for updates"

https://gerrit.wikimedia.org/r/472530

Change 472670 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] wiki replicas: depool lasbdb1011 for changes

https://gerrit.wikimedia.org/r/472670

Change 472670 merged by Banyek:
[operations/puppet@production] wiki replicas: depool lasbdb1011 for changes

https://gerrit.wikimedia.org/r/472670

Mentioned in SAL (#wikimedia-operations) [2018-11-09T15:23:59Z] <banyek> depooling labsdb1011 (T189158)

Change 472696 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] Revert "wiki replicas: depool lasbdb1011 for changes"

https://gerrit.wikimedia.org/r/472696

Mentioned in SAL (#wikimedia-operations) [2018-11-09T19:39:51Z] <banyek|away> repooling labsdb1011 (T189158)

Change 472696 merged by Banyek:
[operations/puppet@production] Revert "wiki replicas: depool lasbdb1011 for changes"

https://gerrit.wikimedia.org/r/472696

The patch is deployed throughout. Should that be it for this task @Anomie ?

Anomie added a comment.EditedNov 14 2018, 7:57 PM

Yes, if it's deployed to all the cloud replicas this task can be closed. Thanks!

Bstorm closed this task as Resolved.Nov 14 2018, 7:58 PM